package com.dev.swms.server.model.abstractEntity;

import java.util.Date;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Item;
import com.dev.swms.server.model.base.ItemKey;
import com.dev.swms.server.model.base.Location;
import com.dev.swms.server.model.base.WarehouseArea;
import com.dev.swms.server.model.shipping.PickTicket;
import com.dev.swms.server.model.shipping.PickTicketDetail;
import com.dev.swms.server.model.shipping.PlanShipDetail;

public class PlanPickDetail extends Entity{

	/** 所属发货单 */
	private PickTicket pickTicket;
	private PlanPickTicket planPickTicket;
	private BigItem bigItem;
	private PickTicketDetail ptd;
	/** 具体商品 */
	private Item item;
	/** 计划数量 */
	private double orderQuantity;
	/** 已分配数量 */
	private double allocatedQuantity;
	/** 拣货数量 */
	private double pickedQuantity;
	/** 拣货数量 */
	private double shippedQuantity;
	/** 备货日期 */
	private Date allocateTime;
	/** 发货日期 */
	private Date shipTime;
	/** 备注*/
	private String invStatus;//出库类型
	/** 库存状态*/
	private String note;
	/** 所属库区 */
	private WarehouseArea zone;//出库仓库
	/** 所属库位 */
	private Location location;
	/** 所属具体商品库存 */
	private ItemKey itemKey;
	/** 是否拣货 */
	private Boolean bePick = Boolean.FALSE;
	/** 是否拣货 */
	private Boolean beShip = Boolean.FALSE;
	
	private String numberNo;//No
	private String   procedure;//工位
	private Date   OfflineDate;//下线日期
	private Date   planDate;//计划日期
	private Date   modifyDate;//计划日期
	private String code;//IDNO
	private String name;//月度序号
	private String country;//国家
	private String  modelType;//机型
	private String  modelNo;//机号 
	private String  modelName;//机型名称
	private BomList bomList;//机型
	private String description;//备注
	private String strExtend1;//是否下线
	private String strExtend2;
	private String strExtend3;//起始机号
	/** 所属库区 */
	private WarehouseArea zone1;//收货库仓库
	/** 所属库区 */
	private WarehouseArea zone2;//出库仓库
	/** 数量 */
	private double qty1;//指示数量,本次出单数
	/** 数量 */
	private double qty2;//成套指示数量
	/** 数量 */
	private double qty3;//在途数
	/** 数量 */
	private double qty4;
	/** 数量 */
	private double qty5;
	
	private String specs;//A/C
	private String content;//加工内容
	private String bonded;//保税
	private double quantity;//收容数
	private String hezi;//荷姿
	private String single;//单用
	private Location zzkw;//制造库位
	
	
	public Location getZzkw() {
		return zzkw;
	}
	public void setZzkw(Location zzkw) {
		this.zzkw = zzkw;
	}
	public String getSpecs() {
		return specs;
	}
	public void setSpecs(String specs) {
		this.specs = specs;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getBonded() {
		return bonded;
	}
	public void setBonded(String bonded) {
		this.bonded = bonded;
	}
	public double getQuantity() {
		return quantity;
	}
	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}
	public String getHezi() {
		return hezi;
	}
	public void setHezi(String hezi) {
		this.hezi = hezi;
	}
	public String getSingle() {
		return single;
	}
	public void setSingle(String single) {
		this.single = single;
	}
	public double getQty1() {
		return qty1;
	}
	public void setQty1(double qty1) {
		this.qty1 = qty1;
	}
	public double getQty2() {
		return qty2;
	}
	public void setQty2(double qty2) {
		this.qty2 = qty2;
	}
	public double getQty3() {
		return qty3;
	}
	public void setQty3(double qty3) {
		this.qty3 = qty3;
	}
	public double getQty4() {
		return qty4;
	}
	public void setQty4(double qty4) {
		this.qty4 = qty4;
	}
	public double getQty5() {
		return qty5;
	}
	public void setQty5(double qty5) {
		this.qty5 = qty5;
	}
	public Item getItem() {
		return item;
	}
	public void setItem(Item item) {
		this.item = item;
	}
	public WarehouseArea getZone1() {
		return zone1;
	}
	public void setZone1(WarehouseArea zone1) {
		this.zone1 = zone1;
	}
	public WarehouseArea getZone2() {
		return zone2;
	}
	public void setZone2(WarehouseArea zone2) {
		this.zone2 = zone2;
	}
	public String getNumberNo() {
		return numberNo;
	}
	public void setNumberNo(String numberNo) {
		this.numberNo = numberNo;
	}
	public String getProcedure() {
		return procedure;
	}
	public void setProcedure(String procedure) {
		this.procedure = procedure;
	}
	public Date getOfflineDate() {
		return OfflineDate;
	}
	public void setOfflineDate(Date offlineDate) {
		OfflineDate = offlineDate;
	}
	public Date getPlanDate() {
		return planDate;
	}
	public void setPlanDate(Date planDate) {
		this.planDate = planDate;
	}
	public Date getModifyDate() {
		return modifyDate;
	}
	public void setModifyDate(Date modifyDate) {
		this.modifyDate = modifyDate;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getCountry() {
		return country;
	}
	public void setCountry(String country) {
		this.country = country;
	}
	public String getModelType() {
		return modelType;
	}
	public void setModelType(String modelType) {
		this.modelType = modelType;
	}
	public String getModelNo() {
		return modelNo;
	}
	public void setModelNo(String modelNo) {
		this.modelNo = modelNo;
	}
	public String getModelName() {
		return modelName;
	}
	public void setModelName(String modelName) {
		this.modelName = modelName;
	}
	public BomList getBomList() {
		return bomList;
	}
	public void setBomList(BomList bomList) {
		this.bomList = bomList;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getStrExtend1() {
		return strExtend1;
	}
	public void setStrExtend1(String strExtend1) {
		this.strExtend1 = strExtend1;
	}
	public String getStrExtend2() {
		return strExtend2;
	}
	public void setStrExtend2(String strExtend2) {
		this.strExtend2 = strExtend2;
	}
	public String getStrExtend3() {
		return strExtend3;
	}
	public void setStrExtend3(String strExtend3) {
		this.strExtend3 = strExtend3;
	}
	public PickTicket getPickTicket() {
		return pickTicket;
	}
	public void setPickTicket(PickTicket pickTicket) {
		this.pickTicket = pickTicket;
	}
	public PlanPickTicket getPlanPickTicket() {
		return planPickTicket;
	}
	public void setPlanPickTicket(PlanPickTicket planPickTicket) {
		this.planPickTicket = planPickTicket;
	}
	public BigItem getBigItem() {
		return bigItem;
	}
	public void setBigItem(BigItem bigItem) {
		this.bigItem = bigItem;
	}
	public PickTicketDetail getPtd() {
		return ptd;
	}
	public void setPtd(PickTicketDetail ptd) {
		this.ptd = ptd;
	}
	public double getOrderQuantity() {
		return orderQuantity;
	}
	public void setOrderQuantity(double orderQuantity) {
		this.orderQuantity = orderQuantity;
	}
	public double getAllocatedQuantity() {
		return allocatedQuantity;
	}
	public void setAllocatedQuantity(double allocatedQuantity) {
		this.allocatedQuantity = allocatedQuantity;
	}
	public double getPickedQuantity() {
		return pickedQuantity;
	}
	public void setPickedQuantity(double pickedQuantity) {
		this.pickedQuantity = pickedQuantity;
	}
	public double getShippedQuantity() {
		return shippedQuantity;
	}
	public void setShippedQuantity(double shippedQuantity) {
		this.shippedQuantity = shippedQuantity;
	}
	public Date getAllocateTime() {
		return allocateTime;
	}
	public void setAllocateTime(Date allocateTime) {
		this.allocateTime = allocateTime;
	}
	public Date getShipTime() {
		return shipTime;
	}
	public void setShipTime(Date shipTime) {
		this.shipTime = shipTime;
	}
	public String getInvStatus() {
		return invStatus;
	}
	public void setInvStatus(String invStatus) {
		this.invStatus = invStatus;
	}
	public String getNote() {
		return note;
	}
	public void setNote(String note) {
		this.note = note;
	}
	public WarehouseArea getZone() {
		return zone;
	}
	public void setZone(WarehouseArea zone) {
		this.zone = zone;
	}
	public Location getLocation() {
		return location;
	}
	public void setLocation(Location location) {
		this.location = location;
	}
	public ItemKey getItemKey() {
		return itemKey;
	}
	public void setItemKey(ItemKey itemKey) {
		this.itemKey = itemKey;
	}
	public Boolean getBePick() {
		return bePick;
	}
	public void setBePick(Boolean bePick) {
		this.bePick = bePick;
	}
	public Boolean getBeShip() {
		return beShip;
	}
	public void setBeShip(Boolean beShip) {
		this.beShip = beShip;
	}
	
	
	
	
}
